Skip to content

API Reference

Add access information

POST /v1/business/access_info https://api.cable.tech

Business endpoint for adding new access information

Authentication

  • API key in the x-api-key header

Request body

application/json list of objects required

Request body for adding access information for a parent entity

  • timestamp string required

    Original timestamp relating to this access information creation/change

    Format date-time

  • data object required
    • ip string

      IP address of the connecting client

    • device_id string

      Device identifier. eg. SSAID / Android ID / Device Fingerprint

    • custom object

      Custom data that is relevant. This can be any JSON object. Please include any details and data points that our schema does not capture.

  • parent object required
    • id string required

      Unique external identifier of the parent entity, ID stored in your database / back-office

      Limits min length 1

    • type string required

      Type of the parent entity

      Allowed values companyperson

Responses

200 Operation success

  • success boolean required

    You probably did something wrong if you set this to false

    Default true

Errors

  • default Operation error

Error body default

  • code string required
  • message string required
  • data object